Delete data source
curl --request DELETE \
--url https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId} \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-pd-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-pd-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}")
.header("x-pd-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-pd-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 123,
"data": {}
}Data sources
Delete data source
Deletes the specified data source from the specified dataset. Once deleted, the data source cannot be recovered.
You can only delete data sources that you have created.
DELETE
/
v1
/
team
/
datasets
/
{datasetId}
/
datasources
/
{datasourceId}
Delete data source
curl --request DELETE \
--url https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId} \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-pd-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-pd-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}")
.header("x-pd-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources/{datasourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-pd-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 123,
"data": {}
}Headers
Path Parameters
Query Parameters
Response
200 - application/json